// PathVisio,
// a tool for data visualization and analysis using Biological Pathways
// Copyright 2006-2011 BiGCaT Bioinformatics
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
// http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
//
package org.pathvisio.data;

/**
 * Exception wrapper for use by all org.pathvisio.data interfaces.
 * The intention is that this class is used to wrap exceptions of implementing classes,
 * for example if the data is backed by an SQL database, SQLException would be wrapped
 * inside a DataException
 */
public class DataException extends Exception
{
	/**
	 * @param the exception being wrapped
	 */
	public DataException(Throwable e)
	{
		super (e);
	}

	/**
	 * @param msg a simple diagnostic message
	 */
	public DataException(String msg)
	{
		super (msg);
	}

	/**
	 * @param msg a simple diagnostic message
	 * @param e the exception being wrapped.
	 */
	public DataException(String msg, Throwable e)
	{
		super (msg, e);
	}

}
