// PathVisio,
// a tool for data visualization and analysis using Biological Pathways
// Copyright 2006-2011 BiGCaT Bioinformatics
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
// http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
package org.pathvisio.desktop;

import javax.swing.JPanel;

/**
 * PreferencePanel provides a panel containing preferences that can be set.
 */
public interface PreferencePanel {


	/**
	 * The panel to display.
	 */
	JPanel getPanel();


	/**
	 * Apply changes.
	 */
	void apply();


	/**
	 * Ignore changes and revert to original values.
	 */
	void reset();
}
